/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

import { Snippet } from '../../Snippet';
import { apply_template } from '../../Helper';

import { general } from './Assets';

export default class Jenkins implements Snippet {
  public is_active (): boolean {
    return true;
  }

  public async start (): Promise<void> {
    await apply_template (general.jenkinsfile, 'Jenkinsfile');
  }
}
